hsp-0.9.2: Haskell Server Pages is a library for writing dynamic server-side web pages.

Safe Haskell | None

HSP.Monad

# Documentation

newtype HSPT xml m a Source

Constructors

HSPT |

Fields

unHSPT :: m a

Instances

MonadError e m => MonadError e (HSPT xml m) |
MonadReader r m => MonadReader r (HSPT xml m) |
MonadState s m => MonadState s (HSPT xml m) |
MonadWriter w m => MonadWriter w (HSPT xml m) |
MonadTrans (HSPT xml) |
Monad m => Monad (HSPT xml m) |
Functor m => Functor (HSPT xml m) |
MonadFix m => MonadFix (HSPT xml m) |
MonadPlus m => MonadPlus (HSPT xml m) |
Applicative m => Applicative (HSPT xml m) |
Alternative m => Alternative (HSPT xml m) |
MonadIO m => MonadIO (HSPT xml m) |
MonadCont m => MonadCont (HSPT xml m) |
(Functor m, Monad m) => XMLGenerator (HSPT XML m) |
(Functor m, Monad m) => XMLGen (HSPT XML m) |
(Functor m, Monad m) => AppendChild (HSPT XML m) XML |
(Functor m, Monad m) => SetAttr (HSPT XML m) XML |
(Monad m, Functor m) => EmbedAsAttr (HSPT XML m) Attribute |
(Functor m, Monad m) => EmbedAsChild (HSPT XML m) () |
(Functor m, Monad m) => EmbedAsChild (HSPT XML m) Char |
(Functor m, Monad m) => EmbedAsChild (HSPT XML m) Text |
(Functor m, Monad m) => EmbedAsChild (HSPT XML m) String |
(Functor m, Monad m) => EmbedAsChild (HSPT XML m) XML |
(Functor m, Monad m) => EmbedAsChild (HSPT XML m) [XML] |
(Functor m, Monad m) => EmbedAsAttr (HSPT XML m) (Attr Text Int) |
(Functor m, Monad m) => EmbedAsAttr (HSPT XML m) (Attr Text Bool) |
(Monad m, Functor m) => EmbedAsAttr (HSPT XML m) (Attr Text Char) |
(Functor m, Monad m) => EmbedAsAttr (HSPT XML m) (Attr Text Text) |